#version 330 core

uniform sampler2D inputtex;
uniform sampler2D mask;
uniform sampler2D normals;
uniform sampler2D envmap;
in vec2 UV;
out vec4 color;

void main(){
    vec4 orig = texture(inputtex, UV);
    vec4 maskcol = texture(mask, UV);
    //color = orig + maskcol * orig;
    color = orig + maskcol * orig;
//    color = 0.01*orig + maskcol * orig;
//    color = 0.00001 * orig + maskcol;
}
